using System;
using System.Drawing;

namespace Game
{
	public enum New_Screen_State
	{
		None,
		Menu,
		Game_1_Plr,
		Game_2_Plr,
		Game_3_Plr,
		Game_4_Plr,
	}

	/// <summary>
	/// Summary description for Screen.
	/// </summary>
	public interface Screen
	{
		// Updates the screen for one frame
		New_Screen_State Update( Mouse_State mouse );

		// Notifies of a keypress
		void Key_Pressed( System.Windows.Forms.Keys key );

		// Renders the screen to the destination
		void Render( Graphics g, int scr_w, int scr_h );
	}
}
